/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Peter Weilbacher (mozilla@Weilbacher.org)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== menu.css =======================================================
  == Styles used by XUL menu-related elements.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: menu/menuitem ::::: */

menu,
menuitem {
  -moz-appearance: menuitem;
  -moz-box-align: center;
  color: MenuText;
  background-color:  Menu;
  font: menu;
  list-style-image: none;
  -moz-image-region: auto;
}

menuitem[default="true"] {
  font-weight: bold;
}

menu[disabled="true"], menuitem[disabled="true"],
menu[_moz-menuactive="true"][disabled="true"],
menuitem[_moz-menuactive="true"][disabled="true"] {
  color: GrayText;
}

menuitem.spell-suggestion {
  font-weight:bold;
}

/* ..... internal content .... */

.menu-accel,
.menu-iconic-accel,
.menu-text,
.menu-iconic-text {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
  -moz-margin-start: 0px !important;
  -moz-margin-end: 0px !important;
  color: inherit;
}

.menu-text {
  -moz-margin-start: 17px !important;
  font-weight: inherit;
}

.menu-description {
  font-style: italic;
  color: GrayText;
  -moz-margin-start: 1ex !important;
}

.menu-accel,
.menu-iconic-accel {
  -moz-margin-end: 19px !important;
  -moz-margin-start: 8px !important;
  color: inherit;
}

.menu-iconic-text {
  -moz-margin-start: 2px !important;
}

.menu-iconic-left {
  padding: 1px;
  min-width: 15px;
  min-height: 15px;
}

/* ..... menu arrow box ..... */

.menu-right {
  margin-top: 2px;
  margin-bottom: 3px;
  -moz-padding-end: 6px;
  list-style-image: none;
  list-style-image: url("chrome://global/skin/menu/Menu-arrow.png");
  -moz-image-region: auto;
}

/* ::::: menu/menuitems in menubar ::::: */

menubar > menu {
  border: 0;
  -moz-margin-start: 2px;
  -moz-margin-end: 3px;
  margin-top: 2px;
  margin-bottom: 0;
}

menubar > menu[_moz-menuactive="true"][open="true"] {
  color: -moz-MenuBarHoverText;
  background-color: -moz-MenuHover;
}

/* ..... internal content .... */

.menubar-left {
  color: inherit;
}

.menubar-text {
  color: inherit;
}

/* ::::: menu/menuitems in popups ::::: */

menupopup > menu,
popup > menu,
menupopup > menuitem,
popup > menuitem {
  max-width: 42em;
  padding-bottom: 2px;
}

menupopup > menu[_moz-menuactive="true"],
menupopup > menuitem[_moz-menuactive="true"],
popup > menu[_moz-menuactive="true"],
popup > menuitem[_moz-menuactive="true"] {
  background: -moz-MenuHover;
  color: -moz-MenuHoverText;
}

/* ::::: menu/menuitems in menulist popups ::::: */

.menulist-menupopup > menuitem,
menulist > menupopup > menuitem,
.menulist-menupopup > menu,
menulist > menupopup > menu {
  border: 1px solid transparent;
  -moz-padding-end: 30px;
  -moz-padding-start: 5px;
  padding-top: 0;
  padding-bottom: 0;
  max-width: none;
  font: message-box;
  color: -moz-FieldText;
  background-color: -moz-Field;
}

.menulist-menupopup > menuitem > .menu-iconic-left,
menulist > menupopup > menuitem > .menu-iconic-left,
.menulist-menupopup > menu > .menu-iconic-left,
menulist > menupopup > menu > .menu-iconic-left {
  display: none;
}

menulist > menupopup > menuitem[_moz-menuactive="true"] {
  border: 1px dotted #F5DB95;
}

menulist > menupopup > menuitem > .menu-iconic-text {
  margin: 0 !important;
}

/* ::::: checkbox menuitem and radio menuitem ::::: */
/* :::::::: (both appear the same on OS/2) :::::::: */

menuitem[checked="true"] {
  list-style-image: url("chrome://global/skin/menu/menu-check.gif");
  -moz-image-region: auto;
}
/* menuitem[checked="true"][type="radio"] */

/* ::::: menuseparator ::::: */

menuseparator {
  margin: 3px 0 3px 0 !important;
  border-top: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDHighlight;
}

menulist > menupopup > menuseparator,
.menulist-menupopup > menuseparator {
  margin: 0;
  border-top: 1px solid #000000;
  border-bottom: none;
}

/* ::::: autocomplete ::::: */

.autocomplete-history-popup > menuitem {
  max-width: none !important;
  font: message-box;
}

/* ::::: tree column picker ::::: */

.treecell-popupcell-menu {
  -moz-margin-start: -2px;
  list-style-image: url("chrome://global/skin/columnselect.gif");
  -moz-image-region: auto;
}

